
/*
 * Internal header
 */

#ifndef SXPATH_H
#define SXPATH_H

// condition filters hashed by newname 
typedef apr_hash_t hash_filter_cond;

typedef enum {
  XML,
  HTML
} parser_type_t;

typedef struct
{
    hash_filter_cond *fconds;
    parser_type_t parser_type;
} xml2_cfg;


/**
 * Configuration handler
 * @param newname - The name of the filter to create.
 * @param condfilter - The coditional filter to use on xpath matches.
 * @param xpath - A streaming xpath expression.
 * @return An error message, NULL on sucess.
 */
const char *xml2_filter_cond_create(cmd_parms * cmd, void *cfg,
                                           const char *newname,
                                           const char *condfilter,
                                           const char *xpath);

#endif

